﻿using System;
using System.Collections.Generic;
using System.Net;
using System.Net.NetworkInformation;
using System.Net.Sockets;
using System.Text;

namespace WakeOnLan
{
	public class PingCheck
	{
		public static bool Test(string ip, int port, int timeout = 5 * 1000)
		{
			Socket socket = null;
			try
			{
				socket = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
				socket.SetSocketOption(SocketOptionLevel.Socket, SocketOptionName.DontLinger, false);

				IAsyncResult result = socket.BeginConnect(ip, port, null, null);
				return result.AsyncWaitHandle.WaitOne(timeout, true);
			}
			catch (Exception ex)
			{
				throw ex;
			}
			finally
			{
				if (socket != null)
					socket.Close();
			}


			//Ping ping = new Ping();
			//PingOptions options = new PingOptions();
			//options.DontFragment = true;

			//string data = "123123123";
			//byte[] buffer = ASCIIEncoding.ASCII.GetBytes(data);

			//PingReply reply = ping.Send(ipAddress, , timeout, buffer);
			//if (reply.Status == IPStatus.Success)
			//	return true;

			//return false;
		}
	}
}
